Name:           perl-FCGI
Summary:        FastCGI Perl bindings
# needed to properly replace/obsolete fcgi-perl
Epoch:          1
Version:        0.71
Release:        4%{?dist}
# same as fcgi
License:        OML
Group:          Development/Libraries
Source0:        http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/FCGI-%{version}.tar.gz 
# resolves rhbz #736604 cve-2011-2766
# see https://rt.cpan.org/Public/Bug/Display.html?id=68380
# https://rt.cpan.org/Ticket/Attachment/938983/488105/
Patch0:         cve-2011-2766.patch
URL:            http://search.cpan.org/dist/FCGI
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(ExtUtils::MakeMaker)

Provides:       fcgi-perl =  %{epoch}:%{version}-%{release}
Obsoletes:      fcgi-perl =< 2.4.0

%{?perl_default_filter}
%{?perl_subpackage_tests: %perl_subpackage_tests test.pl .proverc test.t }

%description
%{summary}.

%prep
%setup -q -n FCGI-%{version}
%patch0 -p 1
find . -type f -exec chmod -c -x {} +

echo "test.pl" > .proverc
# limitation in the macros, currently -- must have at least one .t :\
cp test.pl test.t

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

%{_fixperms} %{buildroot}/*

%check
make test


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog README LICENSE.TERMS echo.PL remote.PL threaded.PL
%{perl_vendorarch}/*
%exclude %dir %{perl_vendorarch}/auto
%{_mandir}/man3/*.3*

%changelog
* Fri Sep 23 2011 Iain Arnell <iarnell@gmail.com> 1:0.71-4
- patch to resolve rhbz#736604 cve-2011-2766

* Sat May 15 2010 Chris Weyl <cweyl@alumni.drew.edu> 1:0.71-3
- and fix our tests subpackage included files

* Sat May 15 2010 Chris Weyl <cweyl@alumni.drew.edu> 1:0.71-2
- fix license: BSD => OML

* Sat May 08 2010 Chris Weyl <cweyl@alumni.drew.edu> 1:0.71-1
- specfile by Fedora::App::MaintainerTools 0.006


